/*
** Copyright (C) 1998 Martin Roesch <roesch@clark.net>
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef __LOG_H__
#define __LOG_H__


/*  I N C L U D E S  **********************************************************/
#include "snort.h"




/*  D A T A  S T R U C T U R E S  *********************************************/
typedef struct _PrintIP
{
   u_char timestamp[64];
   u_char saddr[16];
   u_char daddr[16];
   u_short sport;
   u_short dport;
   u_long seq;
   u_long ack;
   u_char flags;
   char proto[5];
   u_long win;
   u_char ttl;
   u_short udp_len;
   u_char icmp_str[64];
   u_short icmp_id;
   u_short icmp_seqno;
   u_int dsize;
   char *data;
} PrintIP;



/*  P R O T O T Y P E S  ******************************************************/
void PrintIPPkt(FILE *, int);
void PrintNetData(FILE *, char *, int);
int OpenLogFile();
void OpenAlertFile();


#endif /* __LOG_H__ */
